<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html">
    <meta charset="utf-8">

    <title>CAN Sniffer</title>

    <link rel="shortcut icon" type="image/x-icon" href="favicon.ico">

    <link href="css/main.css" rel="stylesheet" type="text/css">
    <link href="css/fullTable.css" rel="stylesheet" type="text/css">
    <link href="css/shortTable.css" rel="stylesheet" type="text/css">
    <link href="css/sketch.css" rel="stylesheet" type="text/css">
    <link href="css/modal.css" rel="stylesheet" type="text/css">
</head>

<body id='sketchView'>
    <div id="helpModal" class="modal noSelectable">
        <span class="close common" onclick='closeModal()'>&times;</span>
        <span class="prev common" onclick='switchImg(false)'>&lsaquo;</span>
        <span class="next common" onclick='switchImg(true)'>&rsaquo;</span>
        <img class="modal-content" id="helpImg">
    </div>

    <nav>
        <div class='leftMenu'>
            <img alt="logo" src="/images/logoMenu.png" />
        </div>
        <div class='mainMenu'>
            <img class='modalButton noSelectable' id="myImg" src="/images/help.png" alt="help" onclick='openModal()'>

            <div class='menuItem noSelectable' onClick='startStop()' id="startStop">Close websocket</div>

            <div class='menuItem noSelectable' onClick='goToAnchor("#sketchView")'>Sketch View</div>
            <div class='menuItem noSelectable' onClick='goToAnchor("#fullTableView")'>Full Table View</div>
            <div class='menuItem noSelectable' onClick='goToAnchor("#shortTableView")'>Short Table View</div>

            <div class='menuItem noSelectable' onclick='switchBase()' id="hexaBinButton">Convert to binary</div>
        </div>
    </nav>
    <div class='container'>

        <div class='sketch'>
            <div id='cabinSpace'></div>
            <div id='sketchTable'></div>
            <div id='drcIndicators'></div>
        </div>

        <div class='anchor' id="fullTableView"></div>
        <div class="fullTableViewContainer">
            <div class='titleContainer'>
                <h1 class="noSelectable">View of all received data:</h1>
                <h2 class="noSelectable" id='counterShow'>Number of data pack received: 0</h2>        
            </div>
            <div class='tableContainerFull' id="fullTableContainer">
                <p class="noSelectable">Filters:</p>
                <input id="search" onchange="filter(value)" type="search" value="">
                <div id="tableContainer"></div>
            </div>
            
        </div>

        <div class='anchor' id="shortTableView"></div>
        <div class="shortTableViewContainer">
            <div class="titleContainer">
                <h1 class="noSelectable">View of the latest received data per floor:</h1>
            </div>
            <div class='tableContainerShort' id="shortTableContainer"></div>
        </div>
        
    </div>
    <script src="js/main.js" type="application/javascript"></script>
    <script src="js/socket.js" type="application/javascript"></script>
    <script src="js/sketch.js" type="application/javascript"></script>
    <script src="js/fullTable.js" type="application/javascript"></script>
    <script src="js/shortTable.js" type="application/javascript"></script>
    <script src="js/interprete.js" type="application/javascript"></script>
    <script src="js/modal.js" type="application/javascript"></script>
</body>
<footer class="center">
    <p class="center">Polytech Project 2020-2021 : Web service for on-board equipment communicating on CAN bus</p>
    <div class="teamContainer">
        <p class="center">(INFO 4) Liam ANDRIEUX, Lucas DREZET & Roman REGOUIN</p>
        <p class="center">(IESE 3) Léo BARBET, Nicolas LYSEE & Yoan MOREAU</p>
    </div>
    <div class="footerImageContainer">
        <img src="images/logoGEII.png" alt="IUT1 Grenoble logo"/>
        <img src="images/logoPolytech.png" alt="Polytech Grenoble logo"/>
        <img src="images/logoUGA.png" alt="University Grenoble Alpes logo"/>
    </div>
    <p>Copyright © 2021</p>
</footer>

</html>